@misc{amazon_amazon_nodate-1,
	title = {Amazon {Elastic} {Container} {Service}},
	url = {https://aws.amazon.com/ecs/?nc1=h_ls},
	author = {{Amazon}}
}

@misc{microsoft_microsoft_nodate-1,
	title = {Microsoft {Web} {App} for {Containers}},
	url = {https://azure.microsoft.com/en-us/services/app-service/containers/},
	author = {{Microsoft}}
}

@misc{alibaba_alibaba_nodate-1,
	title = {Alibaba {Container} {Service}},
	url = {https://www.alibabacloud.com/product/container-service?spm=a2c5t.10695662.1996646101.searchclickresult.55a3212bnXyv1v},
	author = {{Alibaba}}
}

@misc{ovh_ovh_nodate-1,
	title = {{OVH} {Kubernetes}},
	url = {https://www.ovh.com/fr/kubernetes/},
	author = {{OVH}}
}

@misc{rami_rosen_namespace_2016,
	address = {Seville, Spain},
	title = {Namespace and cgroups, the basis of {Linux} containers},
	url = {https://www.netdevconf.org/1.1/proceedings/slides/rosen-namespaces-cgroups-lxc.pdf},
	author = {{Rami Rosen}},
	month = feb,
	year = {2016}
}

@misc{docker_docker_nodate,
	title = {Docker},
	url = {https://www.docker.com/},
	author = {{Docker}}
}

@misc{lxc_lxc_nodate,
	title = {{LXC}},
	url = {https://linuxcontainers.org/},
	author = {{LXC}}
}

@inproceedings{zhenyun_zhuang_taming_2017,
	address = {Silicon Valley, CA, USA},
	title = {Taming memory related performance pitfalls in linux {Cgroups}},
	isbn = {978-1-5090-4588-4},
	url = {http://ieeexplore.ieee.org/document/7876184/},
	doi = {10.1109/ICCNC.2017.7876184},
	urldate = {2018-11-27},
	booktitle = {2017 {International} {Conference} on {Computing}, {Networking} and {Communications} ({ICNC})},
	publisher = {IEEE},
	author = {{Zhenyun Zhuang} and {Cuong Tran} and Weng, Jerry and Ramachandra, Haricharan and Sridharan, Badri},
	month = jan,
	year = {2017},
	pages = {531--535}
}

@misc{gregg_working_2018,
	title = {Working {Set} {Size} {Estimation}},
	url = {http://www.brendangregg.com/wss.html},
	author = {Gregg, Brendan},
	month = feb,
	year = {2018}
}

@inproceedings{denning_working_1967,
	address = {Not Known},
	title = {The working set model for program behavior},
	url = {http://portal.acm.org/citation.cfm?doid=800001.811670},
	doi = {10.1145/800001.811670},
	language = {en},
	urldate = {2019-03-13},
	booktitle = {Proceedings of the {ACM} symposium on {Operating} {System} {Principles}  - {SOSP} '67},
	publisher = {ACM Press},
	author = {Denning, Peter J.},
	year = {1967},
	pages = {15.1--15.12}
}

@article{nitu_working_2018,
	title = {Working {Set} {Size} {Estimation} {Techniques} in {Virtualized} {Environments}: {One} {Size} {Does} not {Fit} {All}},
	volume = {2},
	issn = {24761249},
	shorttitle = {Working {Set} {Size} {Estimation} {Techniques} in {Virtualized} {Environments}},
	url = {http://dl.acm.org/citation.cfm?doid=3203302.3179422},
	doi = {10.1145/3179422},
	language = {en},
	number = {1},
	urldate = {2019-03-13},
	journal = {Proceedings of the ACM on Measurement and Analysis of Computing Systems},
	author = {Nitu, Vlad and Kocharyan, Aram and Yaya, Hannas and Tchana, Alain and Hagimont, Daniel and Astsatryan, Hrachya},
	month = apr,
	year = {2018},
	pages = {1--22}
}

@misc{linux_memory_nodate,
	title = {Memory {Resource} {Controller}},
	url = {https://www.kernel.org/doc/Documentation/cgroup-v1/memory.txt},
	author = {{Linux}}
}

@misc{amazon_s3_nodate,
	title = {Amazon {S}3 {Storage} {Classes}},
	url = {https://aws.amazon.com/s3/storage-classes/?nc1=h_ls},
	author = {{Amazon}}
}

@misc{microsoft_sla_2018,
	title = {{SLA} for {Azure} {Cosmos} {DB}},
	url = {https://azure.microsoft.com/en-us/support/legal/sla/cosmos-db/v1_0/},
	author = {{Microsoft}},
	month = sep,
	year = {2018}
}

@article{lorido-botran_review_2014,
	title = {A {Review} of {Auto}-scaling {Techniques} for {Elastic} {Applications} in {Cloud} {Environments}},
	volume = {12},
	issn = {1570-7873, 1572-9184},
	url = {http://link.springer.com/10.1007/s10723-014-9314-7},
	doi = {10.1007/s10723-014-9314-7},
	language = {en},
	number = {4},
	urldate = {2019-02-26},
	journal = {Journal of Grid Computing},
	author = {Lorido-Botran, Tania and Miguel-Alonso, Jose and Lozano, Jose A.},
	month = dec,
	year = {2014},
	pages = {559--592}
}

@misc{noauthor_microsoft_2017,
	title = {Microsoft {Azure}: {Autoscaling}},
	url = {https://docs.microsoft.com/en-us/azure/architecture/best-practices/auto-scaling},
	journal = {Microsoft Azure},
	month = may,
	year = {2017}
}

@techreport{amazon_aws_2018,
	title = {{AWS} {Auto} {Scaling} {Guide} de l'utilisateur},
	url = {https://docs.aws.amazon.com/fr_fr/autoscaling/plans/userguide/as-plans-ug.pdf#auto-scaling-getting-started},
	author = {{Amazon}},
	month = nov,
	year = {2018},
	pages = {23}
}

@misc{noauthor_kubernetes/autoscaler_2019,
	title = {kubernetes/autoscaler},
	url = {https://github.com/kubernetes/autoscaler/blob/master/cluster-autoscaler/FAQ.md},
	month = feb,
	year = {2019}
}

@misc{hiroyu_cgroup_2008,
	title = {Cgroup {And} {Memory} {Resource}  {Controller}},
	url = {https://www.static.linuxfound.org/jp_uploads/seminar20081119/CgroupMemcgMaster.pdf},
	author = {Hiroyu, Kamezawa},
	month = nov,
	year = {2008}
}